var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.js
var src_exports = {};
__export(src_exports, {
  alterState: () => import_language_common2.alterState,
  dataPath: () => import_language_common2.dataPath,
  dataValue: () => import_language_common2.dataValue,
  default: () => src_default,
  each: () => import_language_common2.each,
  execute: () => execute,
  field: () => import_language_common2.field,
  fields: () => import_language_common2.fields,
  fn: () => import_language_common2.fn,
  fnIf: () => import_language_common2.fnIf,
  lastReferenceValue: () => import_language_common2.lastReferenceValue,
  merge: () => import_language_common2.merge,
  send: () => send,
  sourceValue: () => import_language_common2.sourceValue
});
module.exports = __toCommonJS(src_exports);

// src/Adaptor.js
var Adaptor_exports = {};
__export(Adaptor_exports, {
  alterState: () => import_language_common2.alterState,
  dataPath: () => import_language_common2.dataPath,
  dataValue: () => import_language_common2.dataValue,
  each: () => import_language_common2.each,
  execute: () => execute,
  field: () => import_language_common2.field,
  fields: () => import_language_common2.fields,
  fn: () => import_language_common2.fn,
  fnIf: () => import_language_common2.fnIf,
  lastReferenceValue: () => import_language_common2.lastReferenceValue,
  merge: () => import_language_common2.merge,
  send: () => send,
  sourceValue: () => import_language_common2.sourceValue
});
var import_language_common = require("@openfn/language-common");
var import_request = __toESM(require("request"), 1);
var import_language_common2 = require("@openfn/language-common");
function execute(...operations) {
  const initialState = {
    references: [],
    data: null
  };
  return (state) => {
    return (0, import_language_common.execute)(...operations)({ ...initialState, ...state });
  };
}
function send(params) {
  return (state) => {
    const { recipient, sender, text, smsId } = (0, import_language_common.expandReferences)(params)(state);
    const { systemId, password, clientHost, inboxId } = state.configuration;
    const url = `${clientHost}/smpp/${inboxId}/send`;
    const body = { recipient, sender, text, smsId };
    const auth = {
      username: systemId,
      password
    };
    function assembleError({ response, error }) {
      if (response && [200, 201, 202, 204].indexOf(response.statusCode) > -1)
        return false;
      if (error)
        return error;
      return new Error(`Server responded with ${response.statusCode}`);
    }
    console.log("Sending message... " + url);
    console.log("With body: " + JSON.stringify(body, null, 2));
    return new Promise((resolve, reject) => {
      import_request.default.post(
        {
          url,
          json: body,
          auth
        },
        function(err, response, body2) {
          const error = assembleError({ error: err, response });
          if (error) {
            reject(error);
          } else {
            console.log(
              "Message sent to SMPP server: " + response.statusCode + "/" + response.statusMessage
            );
            resolve(response);
          }
        }
      );
    }).then((data) => {
      const nextState = { ...state, response: { body: data } };
      return nextState;
    });
  };
}

// src/index.js
var src_default = Adaptor_exports;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  alterState,
  dataPath,
  dataValue,
  each,
  execute,
  field,
  fields,
  fn,
  fnIf,
  lastReferenceValue,
  merge,
  send,
  sourceValue
});
